import 'package:example/src/login_page.dart';
import 'package:flutter/material.dart';
import 'package:get_smart/get_smart.dart';

Future<void> main() async {
  runApp(App());
}

class App extends StatelessWidget {
  @override
  Widget build(BuildContext context) => GetMaterialApp(
        title: 'Get Smart Demo',
        builder: (context, child) => Theme(
          data: GetTheme.black(context),
          child: child!,
        ),
        localizationsDelegates: [GetLocalizations.delegate],
        supportedLocales: GetLocalizations.supportedLocales,
        initialRoute: AppRoute.login,
        getPages: AppRoute.pages,
        debugShowCheckedModeBanner: false,
        defaultTransition: Transition.cupertino,
      );
}

class AppRoute {
  static final login = $route(LoginPage);

  static List<GetPage> get pages => [
        GetPage(
          name: login,
          page: () => LoginPage(),
          transition: Transition.noTransition,
        ),
      ];
}
